diff --git a/pgtypes.h b/pgtypes.h
index 5d15bea..38fe6ea 100644
--- a/pgtypes.h
+++ b/pgtypes.h
@@ -107,6 +107,13 @@ SQLSMALLINT	pgtype_to_datetime_sub(const StatementClass *stmt, OID type, int col
 SQLSMALLINT	pgtype_to_ctype(const StatementClass *stmt, OID type, int col);
 const char	*pgtype_to_name(const StatementClass *stmt, OID type, int col, BOOL auto_increment);
 
+SQLSMALLINT pgtype_attr_precision(const ConnectionClass *conn, OID type,
+		int atttypmod, int adtsize_or_longest, int handle_unknown_size_as);
+Int4 pgtype_attr_desclength(const ConnectionClass *conn, OID type,
+		int atttypmod, int adtsize_or_longestlen, int handle_unknown_size_as);
+Int2 pgtype_attr_scale(const ConnectionClass *conn, OID type, int atttypmod,
+		int adtsize_or_longestlen, int handle_unknown_size_as);
+
 SQLSMALLINT	pgtype_attr_to_concise_type(const ConnectionClass *conn, OID type, int typmod, int adtsize_or_longestlen);
 SQLSMALLINT	pgtype_attr_to_sqldesctype(const ConnectionClass *conn, OID type, int typmod);
 SQLSMALLINT	pgtype_attr_to_datetime_sub(const ConnectionClass *conn, OID type, int typmod);
